IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_REMOTE_FILE')
CREATE TABLE T_RECEIPT_REMOTE_FILE (
  FID              BIGINT                  NOT NULL
    PRIMARY KEY,
    FNUMBER VARCHAR(50) NOT NULL DEFAULT ' ',
    FNAME VARCHAR(50) NOT NULL DEFAULT ' ',
    FSTATUS VARCHAR(30) NOT NULL DEFAULT ' ',
    FCREATORID BIGINT NULL,
    FMODIFIERID BIGINT NULL,
    FENABLE VARCHAR(50) NOT NULL DEFAULT ' ',
    FCREATETIME DATETIME  NULL,
    FMODIFYTIME DATETIME  NULL,
    FMASTERID BIGINT NULL,
    FLONGNUMBER VARCHAR(50) NOT NULL DEFAULT ' ',
    FLEVEL BIGINT NULL,
    FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
    FPARENTID BIGINT NULL,
    FFILE_NAME VARCHAR(255) NOT NULL DEFAULT ' ',
    FFILE_PATH VARCHAR(2000) NOT NULL DEFAULT ' ',
    FEXT VARCHAR(255) NOT NULL DEFAULT ' ',
    FEXT_TAG NCLOB NULL,
    FFILE_MD5 VARCHAR(255) NOT NULL DEFAULT ' ',
    FFILE_SIZE VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_REMOTE_FILE_L')
CREATE TABLE T_RECEIPT_REMOTE_FILE_L
(
	FPKID     VARCHAR(36)             NOT NULL
            PRIMARY KEY,
	FID  BIGINT                  NOT NULL,
	FLOCALEID VARCHAR(10)             NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);
-- 增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_REMOTE_FILE_L')
CREATE INDEX IDX_RECEIPT_REMOTE_FILE_L ON T_RECEIPT_REMOTE_FILE_L  (FID, FLOCALEID);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_REMOTE_FILE_R3')
CREATE TABLE T_RECEIPT_REMOTE_FILE_R3
(
	FID  BIGINT                  NOT NULL
			PRIMARY KEY,
    FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);





